Skip to main content
GET
/
spaces
/
{locationId}
/
area
/
{frameId}
Retrieves information about a specific area.
curl --request GET \
  --url https://api.inorbit.ai/spaces/{locationId}/area/{frameId} \
  --header 'x-auth-inorbit-app-key: <api-key>'
{ "frameId": "25di12", "locationId": "wbL-g004XaIUvDC_", "isDefault": true, "label": "Floor 1", "defaultMapId": "0xgm4iam90x" }

Documentation Index

Fetch the complete documentation index at: https://inorbitinc.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-auth-inorbit-app-key
string
header
required

InOrbit appKey authenticates API requests using a token.

You can obtain your appKey in the Authentication docs.

Path Parameters

locationId
string
required

The location's id

frameId
string
required

The area's frameId

Response

An area object.

frameId
string
required

Corresponding frameId for the area. Areas are uniquely identified by their locationId and frameId together. Robots may publish to a different frameId, which can be translated to the frameId of the area via a SpatialTransformation.

locationId
string
required

Unique identifier of the location containing this area

isDefault
boolean
required

Whether this area is the default area for the location

label
string
required

Human-readable label for the area

defaultMapId
string

Identifier of the default map associated with this area